Bug 176546 - editors/aee: Update MASTER_SITES and WWW: line
Summary: editors/aee: Update MASTER_SITES and WWW: line
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-02 15:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.59 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:06 UTC
- Update MASTER_SITES and WWW: line
- Add LICENSE
- Add MAKE_JOBS_UNSAFE
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:11:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:02:07 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-02 14:53:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-02 14:53:45 UTC
Author: miwi
Date: Sat Mar  2 14:53:32 2013
New Revision: 313252
URL: http://svnweb.freebsd.org/changeset/ports/313252

Log:
  - Update MASTER_SITES and WWW: line
  - Add LICENSE
  - Add MAKE_JOBS_UNSAFE
  
  PR:		176546
  Submitted by:	Ports Fury

Modified:
  head/editors/aee/Makefile   (contents, props changed)
  head/editors/aee/pkg-descr   (contents, props changed)

Modified: head/editors/aee/Makefile
==============================================================================
--- head/editors/aee/Makefile	Sat Mar  2 14:52:46 2013	(r313251)
+++ head/editors/aee/Makefile	Sat Mar  2 14:53:32 2013	(r313252)
@@ -3,45 +3,56 @@
 
 PORTNAME=	aee
 PORTVERSION=	2.2.15b
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	editors
-MASTER_SITES=	http://mahon.cwx.net/sources/
+MASTER_SITES=	http://www.users.uswest.net/~hmahon/sources/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Easy editor with both curses and X11 interfaces
 
+LICENSE=	ART10
+
 OPTIONS_DEFINE=	XAE
 XAE_DESC=	Build X11 version 'xae'
 
+MAKE_JOBS_UNSAFE=	yes
+
+MAN1=		aee.1
+PLIST_FILES=	bin/aee bin/rae %%DATADIR%%/help.ae
+PLIST_DIRS=	%%DATADIR%%
+
 .include <bsd.port.options.mk>
 
-.if !${PORT_OPTIONS:MXAE}
-ALL_TARGET=	main
-PLIST_SUB=	XAE="@comment "
-.else
+.if ${PORT_OPTIONS:MXAE}
 USE_XORG=	x11
 ALL_TARGET=	both
-PLIST_SUB=	XAE=""
+PLIST_FILES+=	bin/xae bin/rxae
+DESKTOP_ENTRIES="Xae" "" "" "xae" "" false
+.else
+ALL_TARGET=	main
 .endif
 
-PLIST_FILES=	bin/aee bin/rae lib/help.ae %%XAE%%bin/xae %%XAE%%bin/rxae
-
-MAN1=		aee.1
-
 post-patch:
-	@${REINPLACE_CMD} -e 's|cc|${CC}|g' ${WRKSRC}/create.mk.aee
-	@${REINPLACE_CMD} -e 's|cc|${CC}|g' ${WRKSRC}/create.mk.xae
-	@${REINPLACE_CMD} -e 's|/usr/X11R6|${LOCALBASE}|g' \
-		${WRKSRC}/create.mk.xae
+.for i in create.mk.aee create.mk.xae
+	@${REINPLACE_CMD} -e \
+		's|cc|${CC}|g ; \
+		 s|"-s"|""|g ; \
+		 s|/usr/X11R6|${LOCALBASE}|g' ${WRKSRC}/${i}
+.endfor
+.for i in aee.1 localize.c
+	@${REINPLACE_CMD} -e \
+		's|/usr/local/lib|${DATADIR}|g' ${WRKSRC}/${i}
+.endfor
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/aee ${PREFIX}/bin
-	${LN} ${PREFIX}/bin/aee ${PREFIX}/bin/rae
-	${INSTALL_MAN} ${WRKSRC}/aee.1 ${PREFIX}/man/man1
-	${INSTALL_DATA} ${WRKSRC}/help.ae ${PREFIX}/lib
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} aee ${PREFIX}/bin)
+	(cd ${PREFIX}/bin && ${LN} aee rae)
+	(cd ${WRKSRC} && ${INSTALL_MAN} aee.1 ${MANPREFIX}/man/man1)
+	@${MKDIR} ${DATADIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} help.ae ${DATADIR})
 .if ${PORT_OPTIONS:MXAE}
-	${INSTALL_PROGRAM} ${WRKSRC}/xae ${PREFIX}/bin
-	${LN} ${PREFIX}/bin/xae ${PREFIX}/bin/rxae
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} xae ${PREFIX}/bin)
+	(cd ${PREFIX}/bin && ${LN} xae rxae)
 .endif
 
 .include <bsd.port.mk>

Modified: head/editors/aee/pkg-descr
==============================================================================
--- head/editors/aee/pkg-descr	Sat Mar  2 14:52:46 2013	(r313251)
+++ head/editors/aee/pkg-descr	Sat Mar  2 14:53:32 2013	(r313252)
@@ -8,4 +8,4 @@ multiple edit buffers.
 aee is a superset of the "Easy Editor" (ee) that is part of the
 FreeBSD base system.
 
-WWW: http://mahon.cwx.net/
+WWW: http://www.users.uswest.net/~hmahon/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"